Search currencies
curl --request POST \
--url https://godirekt.xyz/api/currencies \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"chainIds": [
56
],
"address": "0x55d398326f99059ff775485246999027b3197955",
"term": "usdt",
"verified": true,
"limit": 20,
"defaultList": true,
"includeAllChains": true,
"useExternalSearch": true
}
'import requests
url = "https://godirekt.xyz/api/currencies"
payload = {
"chainIds": [56],
"address": "0x55d398326f99059ff775485246999027b3197955",
"term": "usdt",
"verified": True,
"limit": 20,
"defaultList": True,
"includeAllChains": True,
"useExternalSearch": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chainIds: [56],
address: '0x55d398326f99059ff775485246999027b3197955',
term: 'usdt',
verified: true,
limit: 20,
defaultList: true,
includeAllChains: true,
useExternalSearch: true
})
};
fetch('https://godirekt.xyz/api/currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"currencies": [
{
"chainId": 56,
"address": "0x55d398326f99059ff775485246999027b3197955",
"symbol": "USDT",
"name": "Tether USD",
"decimals": 18,
"vmType": "evm",
"metadata": {
"logoURI": "https://coin-images.coingecko.com/coins/images/39963/large/usdt.png",
"verified": true
}
}
]
}Search Currencies
Search for tokens by address, symbol, or chain.
POST
/
api
/
currencies
Search currencies
for any token by address, name, or symbol across supported chains.
Response:
Response:
Search by term
curl --location 'https://godirekt.xyz/api/currencies' \
--header 'x-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"chainIds": [56],
"term": "usdt",
"verified": true,
"limit": 20,
"useExternalSearch": true
}'
{
"success": true,
"currencies": [
{
"chainId": 56,
"address": "0x55d398326f99059ff775485246999027b3197955",
"symbol": "USDT",
"name": "Tether USD",
"decimals": 18,
"vmType": "evm",
"metadata": {
"logoURI": "https://coin-images.coingecko.com/coins/images/39963/large/usdt.png",
"verified": true
}
}
]
}
Search by contract address
curl --location 'https://godirekt.xyz/api/currencies' \
--header 'x-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"chainIds": [56],
"address": "0x6B6f93a12705b6eB60490A8b8a9aC15b3B1ce0f2",
"limit": 20,
"useExternalSearch": true
}'
{
"success": true,
"currencies": [
{
"chainId": 56,
"address": "0x6b6f93a12705b6eb60490a8b8a9ac15b3b1ce0f2",
"symbol": "SNR",
"name": "StableNaira",
"decimals": 2,
"vmType": "evm",
"metadata": {
"logoURI": "https://assets.geckoterminal.com/bwa1ujpgkc562s8zewby73jmnekc",
"verified": false
}
}
]
}
Response fields
| Field | Description |
|---|---|
chainId | Chain the token lives on |
address | Token contract address |
symbol | Token ticker (e.g. USDT) |
name | Full token name |
decimals | Token decimal places |
vmType | VM type: evm, svm, tvm etc. |
metadata.verified | Whether the token is verified |
metadata.logoURI | Token logo image URL |
Authorizations
Body
application/json
Filter by chain IDs
Example:
[56]
Token contract address
Example:
"0x55d398326f99059ff775485246999027b3197955"
Search by symbol or name
Example:
"usdt"
Only return verified tokens
Example:
true
Max results (default 20, max 100)
Example:
20
Return default currency list
Include all chains for matched token
Use 3rd party APIs for unlisted tokens
Example:
true
⌘I